### Method

# RB RhythmDB do_full_query_parsed

#### Declaration [src]

    void
    rhythmdb_do_full_query_parsed (
      RhythmDB* db,
      RhythmDBQueryResults* results,
      RhythmDBQuery* query
    )

#### Description [src]

Synchronously evaluates the parsed query `query`, feeding results to `results` in chunks. Does not return until the query is complete.

#### Parameters

`results`

  Type: `RhythmDBQueryResults`

  A `RhythmDBQueryResults` instance to feed results to.

  The data is owned by the caller of the method.

`query`

  Type: `RhythmDBQuery`

  A parsed query.

  The data is owned by the caller of the method.